package LoadMapPackage
{
	function GameConnection::startLoad(%client)
	{
		if(!isObject("MapGroup"))
		{
			exec("Add-Ons/Map_MapleTreeway/place.cs");
			MissionCleanup.add("MapGroup");
		}
		Parent::startLoad(%client);
	}
};
activatepackage(LoadMapPackage);


datablock staticShapeData(TSSdetailData)
{
	shapefile = "Add-Ons/Map_MapleTreeway/shapes/detail.dts";
};
datablock staticShapeData(TSSdetailDOT001Data)
{
	shapefile = "Add-Ons/Map_MapleTreeway/shapes/detail.001.dts";
};

datablock staticShapeData(TSStransdetailData)
{
	shapefile = "Add-Ons/Map_MapleTreeway/shapes/transdetail.dts";
};
datablock staticShapeData(TSStransdetailDOT001Data)
{
	shapefile = "Add-Ons/Map_MapleTreeway/shapes/transdetail.001.dts";
};
datablock staticShapeData(TSStransdetailDOT002Data)
{
	shapefile = "Add-Ons/Map_MapleTreeway/shapes/transdetail.002.dts";
};


datablock staticShapeData(SSCOLDOTLINEDOT001Data)
{
	shapefile = "Add-Ons/Map_MapleTreeway/shapes/COL.LINE.001.dts";
};

datablock staticShapeData(SSCOLDOT001Data)
{
	shapefile = "Add-Ons/Map_MapleTreeway/shapes/COL.001.dts";
};

function addExtraResource(%name)
{
    if (MissionGroup.addedResource[%name]) return;
    MissionGroup.addedResource[%name] = "1";
    $EnvGuiServer::Resource[$EnvGuiServer::ResourceCount] = %name;
    $EnvGuiServer::ResourceCount++;
    setManifestDirty();
}

function loadShapes()
{
    %pattern = "Add-Ons/Map_MapleTreeway/shapes/*";

    %file = findFirstFile(%pattern);

    while(isFile(%file))
    {
		messageAll("adding " @ %file);
        addExtraResource(%file);
        %file = findNextFile(%pattern);
    }
    
}

loadShapes();